Subject: RE: bug#19012: 25.0.50; `help-window-select'

From: Drew Adams <[email-masked]>
Date: Tue, 11 Nov 2014 15:10:49 -0800 (PST)

> > That is a new restriction (beginning with `display-buffer-alist'),
> 
> Hmm... let's see:
>       % emacs22 -Q
>       C-h f display-buffer RET
>       ...
>       Make buffer appear in some window but don't select it.
>       ...
> 
> If you want, I can try some other versions, maybe you just got
> unlucky?

Ooh, Smartypants!

Clearly you just want to be snarky and not read what I wrote,
which is that **when `display-buffer' uses
`special-display-function'** there is no such restriction.
`display-buffer' essentially delegates behavior in that context.

A one-liner summary of what `display-buffer' does will not and
cannot, of course, go into such things.

The full doc for it does refer to `special-display-buffer-names',
however, which refers to `special-display-function'.  And that
doc makes it quite clear:

;; Emacs 22 `C-h v special-display-buffer-names'

  ...
  In the second case, FUNCTION is called with BUFFER as the first argument,
  followed by the OTHER-ARGS--it can display BUFFER in any way it likes.
                              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  All this is done by the function found in `special-display-function'.

There are no limits, beyond its arity and return value, on what
`special-display-function' does.